thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From taozle <...@git.apache.org>
Subject [GitHub] thrift pull request #1298: THRIFT-4236: Add context support for go server.
Date Fri, 30 Jun 2017 15:37:29 GMT
GitHub user taozle reopened a pull request:

    https://github.com/apache/thrift/pull/1298

    THRIFT-4236: Add context support for go server.

    This commit add the context support for thrift server side in go.
    for compatibility, added a use_context option in go's generator option
    to tell compiler whether generated code should support context.
    Added TProcessor2, TProcessorFactory2, TServer2, TMultiplexedProcessor2
    to support ctx as first param.
    
    See: https://issues.apache.org/jira/browse/THRIFT-4236

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/taozle/thrift context

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/thrift/pull/1298.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #1298
    
----
commit 9e0591ec03a3a90e9b6a202da47d4edb38fbed30
Author: taozle <zhangliyang26@gmail.com>
Date:   2017-06-27T10:27:40Z

    THRIFT-4236: Add context support for go server.
    
    This commit add the context support for thrift server side in go.
    for compatibility, added a use_context option in go's generator option
    to tell compiler whether generated code should support context.
    Added TProcessor2, TProcessorFactory2, TServer2, TMultiplexedProcessor2
    to support ctx as first param.

commit a42ad13cf265b0d7ccd26ef65bf923fea1b4268f
Author: taozle <zhangliyang26@gmail.com>
Date:   2017-06-27T16:12:48Z

    use golang.org/x/net/context for compatibility.

commit e79e6178a8eea2e8ce6368294238af6f3a8a641c
Author: taozle <zhangliyang26@gmail.com>
Date:   2017-06-29T03:33:31Z

    use official context.
    
    this feature requires golang >=1.7.

commit 61e24e6fe7efab36c032f149151648336edc9967
Author: taozle <zhangliyang26@gmail.com>
Date:   2017-06-30T11:23:36Z

    check go version >= 1.7.

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message